Subject: bug#619 closed by [email-masked] (#619: fixed in src:elogind version 246.10-3)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Wed, 27 Oct 2021 11:32:05 +0000

This is an automatic notification regarding your bug report
which was filed against the elogind package:

#619: elogind crashes with needrestart's defaults

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
619: https://bugs.devuan.org/cgi/bugreport.cgi?bug=619
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #619: fixed in src:elogind version 246.10-3
From: [email-masked]
To: [email-masked]
Date: Wed, 27 Oct 2021 11:22:19 +0000

Version: 246.10-3

Source package elogind (246.10-3) added to Devuan suite unstable.

This closes bug report 619.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Wed, 27 Oct 2021 10:13:08 +0100
Source: elogind
Architecture: source
Version: 246.10-3
Distribution: unstable
Urgency: medium
Maintainer: Mark Hindley <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 619
Changes:
 elogind (246.10-3) unstable; urgency=medium
 .
   * Prevent restart if startx session is running (Closes: #619).
Checksums-Sha1:
 0e7d2ad4028e97810272264e93c4ab48d838d46b 2017 elogind_246.10-3.dsc
 f1380d6e6fe225528504c57ac0a9af0513a0daca 9008 elogind_246.10-3.debian.tar.xz
 74743b857063312bfe246a1735d282dadf3aa56d 5427 elogind_246.10-3_source.buildinfo
Checksums-Sha256:
 47a6d3a3787fb28ffae7ac42143f81515a3063ad1e1f8207e6ed1baa46ee6258 2017 elogind_246.10-3.dsc
 72affbb0713253158b6b04b1472c742de19f6f7f5dc6a3efb686255da6964329 9008 elogind_246.10-3.debian.tar.xz
 70775f57333dd17974f72dfd9020597619a800f8b69f3a2c621a24582a6e3199 5427 elogind_246.10-3_source.buildinfo
Files:
 5ad683a6891b4f5399db207a6d71938d 2017 admin optional elogind_246.10-3.dsc
 ef98c9be18edb2c40ce1c3d94d35f785 9008 admin optional elogind_246.10-3.debian.tar.xz
 7f2a6e1d3d3b827752b2d283c02f98f6 5427 admin optional elogind_246.10-3_source.buildinfo

Subject: elogind crashes with needrestart's defaults
From: Rene Kita <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 18 Oct 2021 12:32:52 +0200

Package: elogind
Version: 246.10-2
Severity: normal

Dear Maintainer,

   * What led up to the situation?
   After upgrading 'elogind' 'needrestart' prompts to choose which
   services should be restarted. 'elogind' is checked by default.
   When confirming the default choice 'X' crashes and I end up on a
   virtual console.

   * What outcome did you expect instead?
   I expected it to either not crash or not suggest to restart.

My system boots to a virtual console and I use 'startx' to get a
graphical session. My window manager is i3.

If more information or testing is needed, I'll provide it.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	chimaera
Architecture: x86_64

Kernel: Linux 5.10.0-9-amd64 (SMP w/2 CPU threads)
Kernel taint flags: TAINT_WARN
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages elogind depends on:
ii  dbus                  1.12.20-2+devuan2
ii  debconf               1.5.77
ii  init-system-helpers   1.60+devuan1
ii  libacl1               2.2.53-10
ii  libc6                 2.31-13+deb11u2
ii  libcap2               1:2.44-1
ii  libelogind0           246.10-2
ii  libeudev1 [libudev1]  3.2.9-10~chimaera1
ii  libpam0g              1.4.0-9+deb11u1
ii  libselinux1           3.1-3
ii  lsb-base              11.1.0

Versions of packages elogind recommends:
ii  libpam-elogind  246.10-2
ii  policykit-1     0.105-31+devuan1

elogind suggests no packages.

-- no debconf information